# OpenShaderDesigner: OpenShaderDesigner::Node Struct Reference

Loading...
Searching...
No Matches
OpenShaderDesigner::Node Struct Referenceabstract
Inheritance diagram for OpenShaderDesigner::Node:

## Public Member Functions

| Node (ShaderGraph &graph, ImVec2 pos, const std::string &title, ImColor color, const std::vector< Pin > &inputs, bool dyn_inputs, const std::vector< Pin > &outputs, bool constant=false)
virtual Node * | Copy (ShaderGraph &graph) const =0
virtual void | Inspect ()=0

## Public Attributes

ImVec2 | Position = { 0, 0 }
struct { |
std::string Title = "Node" |
ImColor Color = Pin::Colors[Pin::VECTOR] |
bool Enabled = true |
} | Header |
struct { |
std::vector< Pin > Inputs |
std::vector< Pin > Outputs |
bool DynamicInputs = false |
} | IO |
struct { |
ImVec2 Size |
bool Const |
} | Info |

The documentation for this struct was generated from the following files:

- Include/Graph/ShaderGraph.h
- Source/Graph/ShaderGraph.cpp